log4shib::BasicLayout(3)

NAME
log4shib::BasicLayout - BasicLayout is a simple fixed format Layout implementation.

SYNOPSIS

#include <BasicLayout.hh>

Inherits log4shib::Layout.

  Public Member Functions
BasicLayout ()
virtual ~BasicLayout ()
virtual std::string format (const LoggingEvent &event)
Formats the LoggingEvent in BasicLayout style:
 'timeStamp priority category ndc: message'. "

Detailed Description

BasicLayout is a simple fixed format Layout implementation.

Constructor & Destructor Documentation

  log4shib::BasicLayout::BasicLayout ()

  log4shib::BasicLayout::~BasicLayout () [virtual]

Member Function Documentation

  std::string log4shib::BasicLayout::format (const LoggingEvent & event) [virtual]

Formats the LoggingEvent in BasicLayout style:
 'timeStamp priority category ndc: message'.

Implements log4shib::Layout.

Author

Generated automatically by Doxygen for log4shib from the source code.